/***********************************************************
Experiment 02: Button Controlled LED
Description: When you press the button, you can see the state
              of the LED will be toggled. (ON->OFF，OFF->ON).
Source: Texoham Centre for Advanced Computing
Website: www.texoham.com
***********************************************************/

int ledPin=11;
int btnPin=2;

volatile int state = LOW;

void setup()
{
  pinMode(ledPin,OUTPUT);
  pinMode(btnPin,INPUT);
}

void loop()
{
  if(digitalRead(btnPin)==LOW)
  {   
      delay(10);
      if(digitalRead(btnPin)==LOW)
      {     
        while(digitalRead(btnPin)==LOW);
        delay(10);
        while(digitalRead(btnPin)==LOW);
        state = !state;
        digitalWrite(ledPin,state);
      }
   }
}
